<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Neighbor StructType
 * @subpackage Structs
 */
class Neighbor extends AbstractStructBase
{
    /**
     * The LocalNetworkId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LocalNetworkId;
    /**
     * Constructor method for Neighbor
     * @uses Neighbor::setLocalNetworkId()
     * @param string $localNetworkId
     */
    public function __construct($localNetworkId = null)
    {
        $this
            ->setLocalNetworkId($localNetworkId);
    }
    /**
     * Get LocalNetworkId value
     * @return string|null
     */
    public function getLocalNetworkId()
    {
        return $this->LocalNetworkId;
    }
    /**
     * Set LocalNetworkId value
     * @param string $localNetworkId
     * @return \CustomerManagement\StructType\Neighbor
     */
    public function setLocalNetworkId($localNetworkId = null)
    {
        // validation for constraint: string
        if (!is_null($localNetworkId) && !is_string($localNetworkId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($localNetworkId, true), gettype($localNetworkId)), __LINE__);
        }
        $this->LocalNetworkId = $localNetworkId;
        return $this;
    }
}
